/*-*-c++-*-
 * $Id: cstring.cpp,v 1.1 2002/01/28 15:38:32 holzheu Exp $
 *
 * This file is part of qlcrash, a GUI for the dump-analysis tool lcrash.
 *
 * Copyright (C) 2001 IBM Deutschland Entwicklung GmbH, IBM Corporation
 *
 * Authors:
 * Michael Geselbracht (let@users.sourceforge.net)
 * Fritz Elfert (elfert@de.ibm.com)
 * Michael Holzheu (holzheu@de.ibm.com)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser Public License as published by
 * the Free Software Foundation; either version 2.1 of the License, or
 * (at your option) any later version. See the file COPYING for more
 * information.
 */
#include "cstring.h"

#include <qcolor.h>

CString::CString() : oColor(0, 0, 0)
{
}

CString::CString(const char* cstr) : QString(cstr), oColor(0, 0, 0)
{
}

CString::~CString()
{
}

QColor
CString::color() const
{
	return oColor;
}

void
CString::setColor(QColor col)
{
	oColor = col;
}
